<?php

namespace App\Model;

interface ElasticObjectFulltextInterface
{
	public function elasticSearchLoadFulltext(string $lang): array;

	public function elasticSearchUpdateFulltext();

	public function elasticSearchDeleteFulltext();

	public function save(array $parameters = []): static;

	public function delete();
}
